#############################################################################
# Makefile for building: sqldrivers
# Generated by qmake (1.07a) (Qt 3.3.4) on: Thu Aug  9 18:25:37 2007
# Project:  sqldrivers.pro
# Template: subdirs
# Command: $(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile sqldrivers.pro
#############################################################################

MAKEFILE =	Makefile
QMAKE    =	qmake
DEL_FILE =    rm -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p
INSTALL_FILE= 
INSTALL_DIR = 
SUBTARGETS =	 \
		sub-mysql

first: all

all: Makefile $(SUBTARGETS)

mysql/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) "mysql" || $(MKDIR) "mysql"
	cd mysql && $(QMAKE) mysql.pro -spec /usr/lib/qt/mkspecs/linux-g++ -o $(MAKEFILE)
sub-mysql: mysql/$(MAKEFILE) FORCE
	cd mysql && $(MAKE) -f $(MAKEFILE)

Makefile: sqldrivers.pro ../../../.qmake.cache /usr/lib/qt/mkspecs/linux-g++/qmake.conf 
	$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile sqldrivers.pro
qmake: qmake_all
	@$(QMAKE) -spec /usr/lib/qt/mkspecs/linux-g++ -o Makefile sqldrivers.pro

all: $(SUBTARGETS)
qmake_all: mysql/$(MAKEFILE)
	 ( [ -d mysql ] && cd mysql ; grep "^qmake_all:" $(MAKEFILE) && $(MAKE) -f $(MAKEFILE) qmake_all; ) || true
clean uicables mocables uiclean mocclean lexclean yaccclean : qmake_all FORCE
	 ( [ -d mysql ] && cd mysql ; $(MAKE) -f $(MAKEFILE) $@; ) || true
uninstall_subdirs: qmake_all FORCE
	 ( [ -d mysql ] && cd mysql ; $(MAKE) -f $(MAKEFILE) uninstall; ) || true
install_subdirs: qmake_all FORCE
	 ( [ -d mysql ] && cd mysql ; $(MAKE) -f $(MAKEFILE) install; ) || true
distclean: qmake_all FORCE
	 ( [ -d mysql ] && cd mysql ; $(MAKE) -f $(MAKEFILE) $@; $(DEL_FILE) $(MAKEFILE); ) || true

install:  install_subdirs

uninstall:  uninstall_subdirs

FORCE:

